Name:		jpgraph
Version:	3.0.6
Release:	1
Summary:	Object-Oriented Graph creating library for PHP
Group:		Applications/Internet
License:	QPL 1.0
URL:		http://www.aditus.nu/jpgraph/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-jpg-config.inc.php.patch
Patch1:		%{name}-%{version}-jpgraph_gantt.php.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
Requires:	php >= 5.1.0, php-gd, apache2-prefork
PreReq:		sed gawk grep coreutils

%description
JpGraph is a Object-Oriented Graph creating library for PHP >= 5.1
The library is completely written in PHP and ready to be used in any
PHP scripts (both CGI/APXS/CLI versions of PHP are supported).

The library can be used to create numerous types of graphs either
on-line or written to a file. JpGraph makes it easy to draw both
"quick and dirty" graphs with a minimum of code as well as complex
graphs which requires a very fine grained control. The library assigns
context sensitive default values for most of the parameters which
minimizes the learning curve. The features are there when you need
them - not as an obstacle to overcome! 

%prep
%setup -q -c
%patch0 -p 0
%patch1 -p 0

%build
# Keep it empty as it is

%install
%__mkdir_p -m 0755 %{buildroot}%{_datadir}/%{name}
%__cp -apR * %{buildroot}%{_datadir}/%{name}/

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/docportal
%dir %{_datadir}/%{name}/docportal/chunkhtml
%dir %{_datadir}/%{name}/docportal/chunkhtml/example_src
%dir %{_datadir}/%{name}/docportal/chunkhtml/images
%dir %{_datadir}/%{name}/docportal/classref
%dir %{_datadir}/%{name}/src
%dir %{_datadir}/%{name}/src/contour_dev
%dir %{_datadir}/%{name}/src/Examples
%dir %{_datadir}/%{name}/src/lang
%{_datadir}/%{name}/README
%{_datadir}/%{name}/VERSION
%{_datadir}/%{name}/docportal/*.*
%{_datadir}/%{name}/docportal/chunkhtml/*.*
%{_datadir}/%{name}/docportal/chunkhtml/example_src/*.*
%{_datadir}/%{name}/docportal/chunkhtml/example_src/.html
%{_datadir}/%{name}/docportal/chunkhtml/images/*.*
%{_datadir}/%{name}/docportal/chunkhtml/images/.png
%{_datadir}/%{name}/docportal/classref/*.*
%{_datadir}/%{name}/src/*.*
%{_datadir}/%{name}/src/flag_mapping
%{_datadir}/%{name}/src/contour_dev/*.*
%{_datadir}/%{name}/src/Examples/*.*
%{_datadir}/%{name}/src/lang/*.*

%changelog
* Wed Feb 03 2010 Konstantin Nadezhdin <nk_rec@mail.ru> - 3.0.6
Preparing for release 3.0.6
